probleme gradlew minecraft forge 1.7.10 classpath



  • Bonjour je veut faire un mod en 1.7.10 avec le src 1.7.10 - 10.13.4.1614 de minecraftforge avec le java jdk1.8.0_251
    quand je fait ./gradlew et nimpote qu'el commande (avec le powershell) voila ce qui se passe :

    FAILURE: Build failed with an exception.
    
    * What went wrong:
    A problem occurred configuring root project 'niramod'.
    > Could not resolve all dependencies for configuration ':classpath'.
       > Could not resolve net.md-5:SpecialSource:1.7.3.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/net/md-5/SpecialSource/1.7.3/SpecialSource-1.7.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.apache.httpcomponents:httpclient:4.3.3.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/apache/httpcomponents/httpclient/4.3.3/httpclient-4.3.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.apache.httpcomponents:httpmime:4.3.3.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/apache/httpcomponents/httpmime/4.3.3/httpmime-4.3.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.github.abrarsyed.jastyle:jAstyle:1.2.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/github/abrarsyed/jastyle/jAstyle/1.2/jAstyle-1.2.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve net.sf.trove4j:trove4j:2.1.0.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/net/sf/trove4j/trove4j/2.1.0/trove4j-2.1.0.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.google.code.gson:gson:2.2.4.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:RetroGuard:3.6.6
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:mcinjector:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/google/code/gson/gson/2.2.4/gson-2.2.4.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.google.guava:guava:18.0.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/google/guava/guava/18.0/guava-18.0.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.ow2.asm:asm-debug-all:5.0.3.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/ow2/asm/asm-debug-all/5.0.3/asm-debug-all-5.0.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.github.tony19:named-regexp:0.2.3.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/github/tony19/named-regexp/0.2.3/named-regexp-0.2.3.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve com.cloudbees:diff4j:1.1.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/com/cloudbees/diff4j/1.1/diff4j-1.1.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve net.sf.jopt-simple:jopt-simple:4.6.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:RetroGuard:3.6.6
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:mcinjector:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/net/sf/jopt-simple/jopt-simple/4.6/jopt-simple-4.6.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.core:jobs:3.5.300-v20130429-1813.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/jobs/3.5.300-v20130429-1813/jobs-3.5.300-v20130429-1813.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse:osgi:3.9.1-v20130814-1242.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/osgi/3.9.1-v20130814-1242/osgi-3.9.1-v20130814-1242.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.core:contenttype:3.4.200-v20130326-1255.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/contenttype/3.4.200-v20130326-1255/contenttype-3.4.200-v20130326-1255.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.core:resources:3.2.1-R32x_v20060914.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/resources/3.2.1-R32x_v20060914/resources-3.2.1-R32x_v20060914.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.equinox:common:3.6.200-v20130402-1505.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/common/3.6.200-v20130402-1505/common-3.6.200-v20130402-1505.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.text:org.eclipse.text:3.5.101.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/text/org.eclipse.text/3.5.101/org.eclipse.text-3.5.101.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.jgit:org.eclipse.jgit:3.2.0.201312181205-r.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/jgit/org.eclipse.jgit/3.2.0.201312181205-r/org.eclipse.jgit-3.2.0.201312181205-r.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.equinox:preferences:3.5.100-v20130422-1538.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/preferences/3.5.100-v20130422-1538/preferences-3.5.100-v20130422-1538.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve net.sf.jopt-simple:jopt-simple:4.6.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/net/sf/jopt-simple/jopt-simple/4.6/jopt-simple-4.6.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.eclipse.core:runtime:3.9.0-v20130326-1255.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/runtime/3.9.0-v20130326-1255/runtime-3.9.0-v20130326-1255.pom'. Received status code 501 from server: HTTPS Required
       > Could not resolve org.ow2.asm:asm-debug-all:5.0.3.
         Required by:
             :niramod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > de.oceanlabs.mcp:mcinjector:3.2-SNAPSHOT
          > Could not GET 'http://repo1.maven.org/maven2/org/ow2/asm/asm-debug-all/5.0.3/asm-debug-all-5.0.3.pom'. Received status code 501 from server: HTTPS Required
    
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    
    BUILD FAILED
    
    Total time: 17.297 secs
    

  • Moddeurs confirmés Rédacteurs Administrateurs

    Bonjour,

    1. Tu n'es pas dans la bonne section, cette section est réservé au support pour l'installateur de MFF.
    2. Minecraft Forge France ne fait plus de support pour la 1.7.10, cette version est ultra obsolète d'obsolète, il serait temps d'arrêter de l'utiliser.
    3. Cherches mieux, la solution a déjà été posté : https://www.minecraftforgefrance.fr/topic/4990/erreur-gradlew-setupdecompworkspace/8?_=1588409685776 (en plus tu étais déjà sur cette discussion ...).

    Je ferme la discussion et je la déplace au bon endroit.


Log in to reply